## signalbackup-tools 20241105.2

=== debian/changelog ===
signalbackup-tools (20241105.2-2) unstable; urgency=medium

  * add missing copyright info

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 24 Jan 2025 09:19:56 +0100

signalbackup-tools (20241105.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1087799)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 05 Nov 2024 17:02:46 +0100
