## signalbackup-tools 20250305.2

=== debian/changelog ===
signalbackup-tools (20250305.2-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS on architectures other than amd64. (Closes: #1095591)

  [ Hans-Christoph Steiner ]
  * New upstream version 20250305.2

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 05 Mar 2025 20:06:08 +0100
