## signalbackup-tools 20250308

=== debian/changelog ===
signalbackup-tools (20250308-1) unstable; urgency=medium

  * New upstream version 20250308

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 11 Mar 2025 09:09:32 +0100
