=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?\.?(\d+)-?(\d*)\.tar\.gz/signalbackup-tools_$1.$2\.orig\.tar\.gz/ \
  https://github.com/bepaald/signalbackup-tools/tags .*/v?\.?(\d\S*)\.tar\.gz
