=== debian/changelog ===
signalbackup-tools (20250313.1-1) unstable; urgency=medium

  * New upstream version 20250313.1

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 17 Mar 2025 09:22:29 +0100
