=== debian/control ===
Source: signalbackup-tools
Section: misc
Priority: optional
Maintainer: Hans-Christoph Steiner <hans@eds.org>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 13),
               libdbus-1-dev,
               libsqlite3-dev,
               libssl-dev,
               pkgconf,
Homepage: https://github.com/bepaald/signalbackup-tools
Vcs-Git: https://salsa.debian.org/debian/signalbackup-tools.git
Vcs-Browser: https://salsa.debian.org/debian/signalbackup-tools

Package: signalbackup-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Tool to work with Signal Backup files
 Tool to work with backup files generated by the Signal Android
 application (https://signal.org/). It can dump the decrypted backup
 components to a directory, or read the contents of a directory and
 pack and encrypt it back into a valid backup file. When dumping, make
 sure the directory to dump to is empty to start with. In theory, the
 decrypted files could be edited before re-encrypting.  It has also
 been used successfully to fix backups that were corrupted.
 .
 Signal is an actively developed application and consequently, the
 database format changes regularly. Often the changes do not affect
 the backup file format or the working of this program, but every once
 in a while a change does break (some of) the functionality of this
 program. It has happened before and it will happen again.
 .
 The tool is provided as-is, there may be bugs. The tool and I are not
 affiliated with or endorsed by the Signal Foundation.
