=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-3 or (at your option) any later version.
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --buildsystem=cmake
